## ros-eloquent-image-geometry 2.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(image_geometry)

find_package(ament_cmake_python REQUIRED)
find_package(ament_cmake_ros REQUIRED)

ament_python_install_package(${PROJECT_NAME})

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(OpenCV REQUIRED COMPONENTS calib3d core highgui imgproc)
find_package(sensor_msgs REQUIRED)

include_directories(include)

# add a library
add_library(${PROJECT_NAME}
  src/pinhole_camera_model.cpp src/stereo_camera_model.cpp
)
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBRARIES})
ament_target_dependencies(
  ${PROJECT_NAME}
  OpenCV
  sensor_msgs
)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION include/${PROJECT_NAME}
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "IMAGE_GEOMETRY_BUILDING_DLL")

install(TARGETS ${PROJECT_NAME}
        RUNTIME DESTINATION bin
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
)

# image_geometry_lib_dir is passed as APPEND_LIBRARY_DIRS for each ament_add_gtest call so
# the project library that they link against is on the library path.
# This is especially important on Windows.
# This is overwritten each loop, but which one it points to doesn't really matter.
set(image_geometry_lib_dir "$<TARGET_FILE_DIR:${PROJECT_NAME}>")

# add tests
if(BUILD_TESTING)
  add_subdirectory(test)
endif()

ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(OpenCV)
ament_export_include_directories(include)
ament_package()

=== debian/changelog ===
ros-eloquent-image-geometry (2.1.4-1bionic) bionic; urgency=high

  * Updated fromCameraInfo function to match ROS2 CameraInfo message (#295 <https://github.com/ros-perception/vision_opencv/issues/295>)
  * Contributors: Luca Della Vedova

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 17 Jan 2020 06:00:00 -0000

ros-eloquent-image-geometry (2.1.3-1bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-image-geometry (2.1.2-1bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-image-geometry (2.1.1-1bionic) bionic; urgency=high

  * [image_geometry] Enable python package installation (#257 <https://github.com/ros-perception/vision_opencv/issues/257>)
    * [image_geometry] Install python package.
  * Contributors: Michael Carroll

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-eloquent-image-geometry (2.1.0-1bionic) bionic; urgency=high

  * python 3 compatibility in test (#244 <https://github.com/ros-perception/vision_opencv/issues/244>)
  * Ros2 revert handmade message initialization (#245 <https://github.com/ros-perception/vision_opencv/issues/245>)
    * revert initialization in PinholeCameraModel constructor (https://github.com/ros2/vision_opencv/pull/1/commits/d2e5edb207c58a54737c4949efe0ac9d4e638962)
    * revert message initialization in tests (https://github.com/ros2/vision_opencv/commit/ecbcd64c014a1ac21a831b55b43df8bc47e5c7ac)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 26 Nov 2018 06:00:00 -0000

ros-eloquent-image-geometry (2.0.5-1bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 17 Aug 2018 05:00:00 -0000

ros-eloquent-image-geometry (2.0.4-1bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 14 Aug 2018 05:00:00 -0000

ros-eloquent-image-geometry (2.0.3-1bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 07 Aug 2018 05:00:00 -0000

ros-eloquent-image-geometry (2.0.2-1bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 29 Jun 2018 05:00:00 -0000

ros-eloquent-image-geometry (2.0.1-1bionic) bionic; urgency=high

  * Mikael Arguedas claiming image_geometry maintainership (#230 <https://github.com/ros-perception/vision_opencv/issues/230>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-image-geometry (2.0.0-1bionic) bionic; urgency=high

  * Port image_geometry to ROS2. (#1)
  * remove dependency on boost given that we dont use it anymore (#4)
  * avoid passing std::vector to/from cv::projectPoints
  * Make sure to export include directories from image_geometry. (#5)
  * Build the image_geometry library shared. (#7)
  * use CMAKE_X_STANDARD and check compiler rather than platform
  * Use upstream opencv2. (#8)
  * Revert "avoid passing std::vector to/from cv::projectPoints" (#9)
  * use ament_cmake_pytest instead of ament_cmake_nose (#10)
  * Comment out unported test (#11)
  * reenable ported packages
  * [rebase fixup] remove boost support again
  * Contributors: Chris Lalancette, Mikael Arguedas, Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 31 May 2018 05:00:00 -0000

ros-eloquent-image-geometry (1.12.7-1bionic) bionic; urgency=high

  * get shared_ptr from boost or C++11
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 12 Nov 2017 06:00:00 -0000

ros-eloquent-image-geometry (1.12.6-1bionic) bionic; urgency=high

  * missing STL includes
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sat, 11 Nov 2017 06:00:00 -0000

ros-eloquent-image-geometry (1.12.5-1bionic) bionic; urgency=high

  * Fix compilation issues.
    Fix suggested by #173 <https://github.com/ros-perception/vision_opencv/issues/173> comment
  * Make sure to initialize the distorted_image Mat.
    Otherwise, valgrind throws errors about accessing uninitialized
    memory.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Remove the last remnants of boost from image_geometry.
    All of its functionality can be had from std:: in C++11, so
    use that instead.  This also requires us to add the -std=c++11
    flag.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Contributors: Chris Lalancette, Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 05 Nov 2017 05:00:00 -0000

ros-eloquent-image-geometry (1.12.4-1bionic) bionic; urgency=high

  * Import using __future__ for python 3 compatibility.
  * Contributors: Hans Gaiser

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 29 Jan 2017 06:00:00 -0000

ros-eloquent-image-geometry (1.12.3-1bionic) bionic; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 04 Dec 2016 06:00:00 -0000

ros-eloquent-image-geometry (1.12.2-1bionic) bionic; urgency=high

  * Fix "stdlib.h: No such file or directory" errors in GCC-6
    Including '-isystem /usr/include' breaks building with GCC-6.
    See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129
  * Merge pull request #142 <https://github.com/ros-perception/vision_opencv/issues/142> from YuOhara/remap_with_nan_border_value
    remap with nan border if mat value is float or double
  * remap with nan border if mat value is float or double
  * Contributors: Hodorgasm, Vincent Rabaud, YuOhara

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sat, 24 Sep 2016 05:00:00 -0000

ros-eloquent-image-geometry (1.12.1-1bionic) bionic; urgency=high

  * Add fullResolution getter to PinholeCameraModel
  * add a missing dependency when building the doc
  * fix sphinx doc path
  * Contributors: Jacob Panikulam, Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 11 Jul 2016 05:00:00 -0000


=== debian/control ===
Source: ros-eloquent-image-geometry
Section: misc
Priority: optional
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-pytest, ros-eloquent-ament-cmake-python, ros-eloquent-ament-cmake-ros, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Homepage: http://www.ros.org/wiki/image_geometry
Standards-Version: 3.9.2

Package: ros-eloquent-image-geometry
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Description: `image_geometry` contains C++ and Python libraries for interpreting images geometrically.
 It interfaces the calibration parameters in sensor_msgs/CameraInfo messages with OpenCV functions such as image rectification, much as cv_bridge interfaces ROS sensor_msgs/Image with OpenCV data types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-image-geometry//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
